all: plugin
	ldd ../gocui.so

plugin:
	GO111MODULE=off go build -v -buildmode=plugin -o ../gocui.so

goget:
	go get -v -t -u

objdump:
	objdump -t ../gocui.so |less

log:
	reset
	tail -f /tmp/witgui.* /tmp/guilogfile

cleanbuild:
	go build -v -x -buildmode=plugin -o ../nocui.so

check-git-clean:
	@git diff-index --quiet HEAD -- || (echo "Git repository is dirty, please commit your changes first"; exit 1)

redomod:
	rm -f go.*
	GO111MODULE= go mod init
	GO111MODULE= go mod tidy
